<label>Filter Origin: </label>
<input [(ngModel)]="Origin">
<button type="button" (click)="onOriginFilter()">Search</button>
<button type="button" (click)="onOriginFilterClear()">Clear</button> &nbsp;


<div class="row">
  <div *ngFor="let firearm of firearms|filter:SearchOrigin: 'Origin'"
  class="col-sm-4">
    <div class="shadow-lg p-3 mb-4">
      <app-firearm-unit [firearm]="firearm"></app-firearm-unit>
    </div>
  </div>
</div>


